<?php

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Routing\Annotation\Route;
use AppBundle\Entity\Film;

class VideothequeController extends Controller
{
    /**
     * @Route("/liste", name="videotheque_liste")
     */
    public function listeAction()
    {
	$em = $this->getDoctrine()->getManager();
	$repo = $em->getRepository('AppBundle:Film');
	$listeFilms = $repo->findAll();

        return $this->render('@App/videotheque/liste.html.twig', array(
            'listeFilms'	=>	$listeFilms
        ));
    }

    /**
     * @Route("/ajouter", name="videotheque_ajouter")
     */
    public function ajouterAction()
    {
        return $this->render('@App/videotheque/ajouter.html.twig', array(
            // ...
        ));
    }

    /**
     * @Route("/modifier/{id}", name="videotheque_modifier")
     */
    public function modifierAction($id)
    {
        return $this->render('@App/videotheque/modifier.html.twig', array(
            // ...
        ));
    }

    /**
     * @Route("/supprimer/{id}", name="videotheque_supprimer")
     */
    public function supprimerAction($id)
    {
        return $this->render('@App/videotheque/supprimer.html.twig', array(
            // ...
        ));
    }

}
